| CAEN FERS Library v1.1.4 SDK for FERS systems

Data Fields
SpectEvent_t Struct Reference
FERS Library Structures » Data

Spectroscopy Event data structure (with or without timing) More...

`#include <FERSlib.h>`

Collaboration diagram for SpectEvent_t:

## Data Fields
double | tstamp_us
| Timestamp in us. More...
double | rel_tstamp_us
| Relative timestamp in us, reset by Tref. More...
uint64_t | trigger_id
| Trigger ID. More...
uint64_t | chmask
| Channel Mask. More...
uint64_t | qdmask
| QD Mask. More...
uint16_t | energyHG [64]
| High-gain energy values per channel. More...
uint16_t | energyLG [64]
| Low-gain energy values per channel. More...
uint32_t | tstamp [64]
| ToAs (used in TSPEC mode only) per channel. More...
uint16_t | ToT [64]
| ToT values (used in TSPEC mode only) per channel. More...

## Detailed Description

Spectroscopy Event data structure (with or without timing)

Definition at line 566 of file FERSlib.h.

## Field Documentation

## ◆ tstamp_us

double tstamp_us

Timestamp in us.

Definition at line 567 of file FERSlib.h.

## ◆ rel_tstamp_us

double rel_tstamp_us

Relative timestamp in us, reset by Tref.

Definition at line 568 of file FERSlib.h.

## ◆ trigger_id

uint64_t trigger_id

Trigger ID.

Definition at line 569 of file FERSlib.h.

## ◆ chmask

uint64_t chmask

Channel Mask.

Definition at line 570 of file FERSlib.h.

## ◆ qdmask

uint64_t qdmask

QD Mask.

Definition at line 571 of file FERSlib.h.

## ◆ energyHG

uint16_t energyHG[64]

High-gain energy values per channel.

Definition at line 572 of file FERSlib.h.

## ◆ energyLG

uint16_t energyLG[64]

Low-gain energy values per channel.

Definition at line 573 of file FERSlib.h.

## ◆ tstamp

uint32_t tstamp[64]

ToAs (used in TSPEC mode only) per channel.

Definition at line 574 of file FERSlib.h.

## ◆ ToT

uint16_t ToT[64]

ToT values (used in TSPEC mode only) per channel.

Definition at line 575 of file FERSlib.h.

The documentation for this struct was generated from the following file:

- FERSlib.h